From 98897b554cc6dbe0d2162b813b85c7a79f980268 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Wed, 3 Jul 2024 09:11:05 +0200
Subject: [PATCH v2 1/2] Remove superfluous PQExpBuffer resetting

Since the buffer was just created, there is no reason to immediately
reset it.
---
 src/bin/pg_dump/pg_dump.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 5426f1177c..48efc61406 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -4219,8 +4219,6 @@ getPublications(Archive *fout)
 
 	query = createPQExpBuffer();
 
-	resetPQExpBuffer(query);
-
 	/* Get the publications. */
 	if (fout->remoteVersion >= 130000)
 		appendPQExpBufferStr(query,
-- 
2.39.3 (Apple Git-146)

